import { ElementRef } from '@angular/core';
import { NgControl } from '@angular/forms';
import { ISubscription } from 'rxjs/Subscription';
import { IAutoCompleteRow } from './autocomplete-row.interface';
import { AutoCompleteMapFunction } from './autocomplete-map-function.type';
export declare class AutoCompleteComponent {
    source: Function;
    map: AutoCompleteMapFunction;
    model: NgControl;
    data: IAutoCompleteRow[];
    current: IAutoCompleteRow;
    opened: boolean;
    loading: boolean;
    minLength: number;
    strings: {
        [key: string]: string;
    };
    searchModel: string;
    sourceSubscription: ISubscription;
    wrapperRef: ElementRef;
    searchRef: ElementRef;
    dropRef: ElementRef;
    ngAfterViewInit(): void;
    getCurrentText(): any;
    hasData(): boolean;
    isShowNoResult(): boolean;
    isShowInfo(): boolean;
    setData(data: IAutoCompleteRow[]): void;
    reset(): void;
    private search(search);
    private select(row);
    private open();
    private close(clear?);
    private cancel();
}
